IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fc56::/16- First address
fc56::- Last address
fc56:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fc56:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
6.5.c.f.ip6.arpa
Split into smaller subnets
fc56::/16 makes 65,536 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc56::/32 | fc56:0:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc56:1::/32 | fc56:1:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc56:2::/32 | fc56:2:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc56:3::/32 | fc56:3:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc56:4::/32 | fc56:4:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc56:5::/32 | fc56:5:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc56:6::/32 | fc56:6:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc56:7::/32 | fc56:7:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc56:8::/32 | fc56:8:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc56:9::/32 | fc56:9:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc56:a::/32 | fc56:a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc56:b::/32 | fc56:b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc56:c::/32 | fc56:c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc56:d::/32 | fc56:d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc56:e::/32 | fc56:e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc56:f::/32 | fc56:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc56:10::/32 | fc56:10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc56:11::/32 | fc56:11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc56:12::/32 | fc56:12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc56:13::/32 | fc56:13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc56:14::/32 | fc56:14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc56:15::/32 | fc56:15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc56:16::/32 | fc56:16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc56:17::/32 | fc56:17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc56:18::/32 | fc56:18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc56:19::/32 | fc56:19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc56:1a::/32 | fc56:1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc56:1b::/32 | fc56:1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc56:1c::/32 | fc56:1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc56:1d::/32 | fc56:1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc56:1e::/32 | fc56:1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc56:1f::/32 | fc56:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc56:20::/32 | fc56:20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc56:21::/32 | fc56:21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc56:22::/32 | fc56:22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc56:23::/32 | fc56:23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc56:24::/32 | fc56:24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc56:25::/32 | fc56:25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc56:26::/32 | fc56:26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc56:27::/32 | fc56:27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc56:28::/32 | fc56:28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc56:29::/32 | fc56:29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc56:2a::/32 | fc56:2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc56:2b::/32 | fc56:2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc56:2c::/32 | fc56:2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc56:2d::/32 | fc56:2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc56:2e::/32 | fc56:2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc56:2f::/32 | fc56:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc56:30::/32 | fc56:30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc56:31::/32 | fc56:31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc56:32::/32 | fc56:32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc56:33::/32 | fc56:33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc56:34::/32 | fc56:34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc56:35::/32 | fc56:35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc56:36::/32 | fc56:36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc56:37::/32 | fc56:37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc56:38::/32 | fc56:38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc56:39::/32 | fc56:39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc56:3a::/32 | fc56:3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc56:3b::/32 | fc56:3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc56:3c::/32 | fc56:3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc56:3d::/32 | fc56:3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc56:3e::/32 | fc56:3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc56:3f::/32 | fc56:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc56:40::/32 | fc56:40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc56:41::/32 | fc56:41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc56:42::/32 | fc56:42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc56:43::/32 | fc56:43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc56:44::/32 | fc56:44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc56:45::/32 | fc56:45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc56:46::/32 | fc56:46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc56:47::/32 | fc56:47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc56:48::/32 | fc56:48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc56:49::/32 | fc56:49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc56:4a::/32 | fc56:4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc56:4b::/32 | fc56:4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc56:4c::/32 | fc56:4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc56:4d::/32 | fc56:4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc56:4e::/32 | fc56:4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc56:4f::/32 | fc56:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc56:50::/32 | fc56:50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc56:51::/32 | fc56:51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc56:52::/32 | fc56:52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc56:53::/32 | fc56:53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc56:54::/32 | fc56:54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc56:55::/32 | fc56:55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc56:56::/32 | fc56:56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc56:57::/32 | fc56:57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc56:58::/32 | fc56:58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc56:59::/32 | fc56:59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc56:5a::/32 | fc56:5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc56:5b::/32 | fc56:5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc56:5c::/32 | fc56:5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc56:5d::/32 | fc56:5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc56:5e::/32 | fc56:5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc56:5f::/32 | fc56:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc56:60::/32 | fc56:60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc56:61::/32 | fc56:61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc56:62::/32 | fc56:62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc56:63::/32 | fc56:63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc56:64::/32 | fc56:64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc56:65::/32 | fc56:65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc56:66::/32 | fc56:66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc56:67::/32 | fc56:67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc56:68::/32 | fc56:68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc56:69::/32 | fc56:69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc56:6a::/32 | fc56:6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc56:6b::/32 | fc56:6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc56:6c::/32 | fc56:6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc56:6d::/32 | fc56:6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc56:6e::/32 | fc56:6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc56:6f::/32 | fc56:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc56:70::/32 | fc56:70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc56:71::/32 | fc56:71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc56:72::/32 | fc56:72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc56:73::/32 | fc56:73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc56:74::/32 | fc56:74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc56:75::/32 | fc56:75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc56:76::/32 | fc56:76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc56:77::/32 | fc56:77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc56:78::/32 | fc56:78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc56:79::/32 | fc56:79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc56:7a::/32 | fc56:7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc56:7b::/32 | fc56:7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc56:7c::/32 | fc56:7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc56:7d::/32 | fc56:7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc56:7e::/32 | fc56:7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc56:7f::/32 | fc56:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc56:80::/32 | fc56:80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc56:81::/32 | fc56:81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc56:82::/32 | fc56:82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc56:83::/32 | fc56:83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc56:84::/32 | fc56:84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc56:85::/32 | fc56:85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc56:86::/32 | fc56:86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc56:87::/32 | fc56:87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc56:88::/32 | fc56:88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc56:89::/32 | fc56:89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc56:8a::/32 | fc56:8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc56:8b::/32 | fc56:8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc56:8c::/32 | fc56:8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc56:8d::/32 | fc56:8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc56:8e::/32 | fc56:8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc56:8f::/32 | fc56:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc56:90::/32 | fc56:90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc56:91::/32 | fc56:91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc56:92::/32 | fc56:92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc56:93::/32 | fc56:93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc56:94::/32 | fc56:94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc56:95::/32 | fc56:95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc56:96::/32 | fc56:96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc56:97::/32 | fc56:97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc56:98::/32 | fc56:98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc56:99::/32 | fc56:99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc56:9a::/32 | fc56:9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc56:9b::/32 | fc56:9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc56:9c::/32 | fc56:9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc56:9d::/32 | fc56:9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc56:9e::/32 | fc56:9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc56:9f::/32 | fc56:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc56:a0::/32 | fc56:a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc56:a1::/32 | fc56:a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc56:a2::/32 | fc56:a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc56:a3::/32 | fc56:a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc56:a4::/32 | fc56:a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc56:a5::/32 | fc56:a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc56:a6::/32 | fc56:a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc56:a7::/32 | fc56:a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc56:a8::/32 | fc56:a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc56:a9::/32 | fc56:a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc56:aa::/32 | fc56:aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc56:ab::/32 | fc56:ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc56:ac::/32 | fc56:ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc56:ad::/32 | fc56:ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc56:ae::/32 | fc56:ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc56:af::/32 | fc56:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc56:b0::/32 | fc56:b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc56:b1::/32 | fc56:b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc56:b2::/32 | fc56:b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc56:b3::/32 | fc56:b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc56:b4::/32 | fc56:b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc56:b5::/32 | fc56:b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc56:b6::/32 | fc56:b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc56:b7::/32 | fc56:b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc56:b8::/32 | fc56:b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc56:b9::/32 | fc56:b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc56:ba::/32 | fc56:ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc56:bb::/32 | fc56:bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc56:bc::/32 | fc56:bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc56:bd::/32 | fc56:bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc56:be::/32 | fc56:be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc56:bf::/32 | fc56:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc56:c0::/32 | fc56:c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc56:c1::/32 | fc56:c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc56:c2::/32 | fc56:c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc56:c3::/32 | fc56:c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc56:c4::/32 | fc56:c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc56:c5::/32 | fc56:c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc56:c6::/32 | fc56:c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc56:c7::/32 | fc56:c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc56:c8::/32 | fc56:c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc56:c9::/32 | fc56:c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc56:ca::/32 | fc56:ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc56:cb::/32 | fc56:cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc56:cc::/32 | fc56:cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc56:cd::/32 | fc56:cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc56:ce::/32 | fc56:ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc56:cf::/32 | fc56:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc56:d0::/32 | fc56:d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc56:d1::/32 | fc56:d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc56:d2::/32 | fc56:d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc56:d3::/32 | fc56:d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc56:d4::/32 | fc56:d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc56:d5::/32 | fc56:d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc56:d6::/32 | fc56:d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc56:d7::/32 | fc56:d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc56:d8::/32 | fc56:d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc56:d9::/32 | fc56:d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc56:da::/32 | fc56:da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc56:db::/32 | fc56:db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc56:dc::/32 | fc56:dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc56:dd::/32 | fc56:dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc56:de::/32 | fc56:de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc56:df::/32 | fc56:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc56:e0::/32 | fc56:e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc56:e1::/32 | fc56:e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc56:e2::/32 | fc56:e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc56:e3::/32 | fc56:e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc56:e4::/32 | fc56:e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc56:e5::/32 | fc56:e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc56:e6::/32 | fc56:e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc56:e7::/32 | fc56:e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc56:e8::/32 | fc56:e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc56:e9::/32 | fc56:e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc56:ea::/32 | fc56:ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc56:eb::/32 | fc56:eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc56:ec::/32 | fc56:ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc56:ed::/32 | fc56:ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc56:ee::/32 | fc56:ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc56:ef::/32 | fc56:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc56:f0::/32 | fc56:f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc56:f1::/32 | fc56:f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc56:f2::/32 | fc56:f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc56:f3::/32 | fc56:f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc56:f4::/32 | fc56:f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc56:f5::/32 | fc56:f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc56:f6::/32 | fc56:f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc56:f7::/32 | fc56:f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc56:f8::/32 | fc56:f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc56:f9::/32 | fc56:f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc56:fa::/32 | fc56:fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc56:fb::/32 | fc56:fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc56:fc::/32 | fc56:fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc56:fd::/32 | fc56:fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc56:fe::/32 | fc56:fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc56:ff::/32 | fc56:ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |